---
title: Begin SSO connector verification
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[IAM](https://developers.cloudflare.com/api/python/resources/iam)

[SSO](https://developers.cloudflare.com/api/python/resources/iam/subresources/sso)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Begin SSO connector verification

iam.sso.begin\_verification(strsso\_connector\_id, SSOBeginVerificationParams\*\*kwargs) -> [SSOBeginVerificationResponse](<https://developers.cloudflare.com/api/python/resources/iam#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/sso\_connectors/{sso\_connector\_id}/begin\_verification

Validates the user has added the DNS TXT record required for validating ownership of the domain they are trying to set up a connector for.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`SSO Connector Write`

##### ParametersExpand Collapse

account\_id: str

Account identifier tag.

maxLength32

minLength32

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20begin_verification%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

sso\_connector\_id: str

SSO Connector identifier tag.

maxLength32

minLength32

[Link to this property](<#(resource)%20iam.sso%20%3E%20(method)%20begin_verification%20%3E%20(params)%20default%20%3E%20(param)%20sso_connector_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SSOBeginVerificationResponse: …

</summary>

<details>

<summary>

errors: List\[Error]

</summary>

code: int

minimum1000

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

message: str

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: Optional\[str]

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: Optional\[ErrorSource]

</summary>

pointer: Optional\[str]

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20errors">Link to this property</a>

<details>

<summary>

messages: List\[Message]

</summary>

code: int

minimum1000

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20code">Link to this property</a>

message: str

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

documentation\_url: Optional\[str]

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20documentation_url">Link to this property</a>

<details>

<summary>

source: Optional\[MessageSource]

</summary>

pointer: Optional\[str]

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source%20%3E%20(property)%20pointer">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20messages%20%3E%20(items)%20%3E%20(property)%20source">Link to this property</a>

</details>

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20messages">Link to this property</a>

success: Literal\[true]

Whether the API call was successful.

<a href="#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.sso%20%3E%20(model)%20sso_begin_verification_response%20%3E%20(schema)>)

### Begin SSO connector verification

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.iam.sso.begin_verification(
    sso_connector_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.errors)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}
```